"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HardwareTypes = exports.UnauthorizedTypes = exports.NotFoundTypes = exports.ConflictTypes = exports.BadRequestTypes = void 0;
var BadRequestTypes;
(function (BadRequestTypes) {
    BadRequestTypes[BadRequestTypes["Validation"] = 0] = "Validation";
    BadRequestTypes[BadRequestTypes["DbNotNullViolation"] = 1] = "DbNotNullViolation";
    BadRequestTypes[BadRequestTypes["DbCheckViolation"] = 2] = "DbCheckViolation";
    BadRequestTypes[BadRequestTypes["DbData"] = 3] = "DbData";
    BadRequestTypes[BadRequestTypes["DbConstraintViolationError"] = 4] = "DbConstraintViolationError";
})(BadRequestTypes = exports.BadRequestTypes || (exports.BadRequestTypes = {}));
var ConflictTypes;
(function (ConflictTypes) {
    ConflictTypes[ConflictTypes["DbUniqueViolation"] = 0] = "DbUniqueViolation";
    ConflictTypes[ConflictTypes["DbForeignKeyViolation"] = 1] = "DbForeignKeyViolation";
    ConflictTypes[ConflictTypes["UserExist"] = 2] = "UserExist";
})(ConflictTypes = exports.ConflictTypes || (exports.ConflictTypes = {}));
var NotFoundTypes;
(function (NotFoundTypes) {
    NotFoundTypes[NotFoundTypes["DbNotFound"] = 0] = "DbNotFound";
    NotFoundTypes[NotFoundTypes["UserNotFound"] = 1] = "UserNotFound";
})(NotFoundTypes = exports.NotFoundTypes || (exports.NotFoundTypes = {}));
var UnauthorizedTypes;
(function (UnauthorizedTypes) {
    UnauthorizedTypes[UnauthorizedTypes["TokenExpired"] = 0] = "TokenExpired";
    UnauthorizedTypes[UnauthorizedTypes["DeletedUser"] = 1] = "DeletedUser";
    UnauthorizedTypes[UnauthorizedTypes["BadPassword"] = 2] = "BadPassword";
})(UnauthorizedTypes = exports.UnauthorizedTypes || (exports.UnauthorizedTypes = {}));
var HardwareTypes;
(function (HardwareTypes) {
    HardwareTypes[HardwareTypes["NotConnected"] = 0] = "NotConnected";
    HardwareTypes[HardwareTypes["WriteError"] = 1] = "WriteError";
})(HardwareTypes = exports.HardwareTypes || (exports.HardwareTypes = {}));
//# sourceMappingURL=ErrorTypes.js.map