"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HttpTypes = void 0;
var HttpTypes;
(function (HttpTypes) {
    HttpTypes[HttpTypes["BadRequest"] = 400] = "BadRequest";
    HttpTypes[HttpTypes["Conflict"] = 409] = "Conflict";
    HttpTypes[HttpTypes["Forbidden"] = 403] = "Forbidden";
    HttpTypes[HttpTypes["MethodNotAllowed"] = 405] = "MethodNotAllowed";
    HttpTypes[HttpTypes["NotFound"] = 404] = "NotFound";
    HttpTypes[HttpTypes["Unauthorized"] = 401] = "Unauthorized";
    HttpTypes[HttpTypes["UnprocessableEntity"] = 422] = "UnprocessableEntity";
    HttpTypes[HttpTypes["ServerError"] = 500] = "ServerError";
})(HttpTypes = exports.HttpTypes || (exports.HttpTypes = {}));
//# sourceMappingURL=HttpTypes.js.map