"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.eventTransfer = exports.events = void 0;
// Used for serializing data to hw
var events;
(function (events) {
    events["unitInstruction"] = "unit_instruction";
    events["trainMotion"] = "train_move";
    events["trainMotionInstruction"] = "train_move_to_place";
    events["trainFunction"] = "train_function";
    events["unitInfo"] = "unit_info";
    events["oledInfo"] = "oled_info";
    events["occupancySection"] = "occupancy_section";
})(events = exports.events || (exports.events = {}));
// To transfer data between client and server
var eventTransfer;
(function (eventTransfer) {
    eventTransfer["runJourney"] = "addJourney";
    eventTransfer["runTimetable"] = "addTimetable";
    eventTransfer["positions"] = "positions";
})(eventTransfer = exports.eventTransfer || (exports.eventTransfer = {}));
//# sourceMappingURL=Events.js.map